Skip to main content


Eclipse Community Forums
Forum Search:

Search      Help    Register    Login    Home
Home » Eclipse Projects » Eclipse Platform » Eclipse cannot resolve class altough it is offered to me with AutoComplete
Eclipse cannot resolve class altough it is offered to me with AutoComplete [message #295605] Sun, 04 December 2005 12:22 Go to previous message
Eclipse UserFriend
Originally posted by: andreas.badelt.gmx.at

Hello,

I am using JaxB to create XML-files. The JaxB-Library automatically
generates a package called

>generated

with lots of *.java files in it. I compiled the package without any errors
- one of the compiled classes is

>ObjectFactory

Now I import the package with

>import generated.*;

- that works.

In fact, Eclipse offers me the generated-Package and the
generated.ObjectFatory-class with its AutoComplete feature!

I now want to create an instance of ObjectFactory per

>ObjectFactory objFactory = new ObjectFactory();

but Eclipse says:

>ObjectFactory cannot be resolved or is not a type Marshall.java ...

I tried to clean the project per Menue -> Project -> Clean => that didn't
work.

I also tried to import

>import generated.ObjectFactory

that didn't work either (same "cannot be resolved" error ALTHOUGH Eclipse
offered me the class per AutoComplete?).

Now I wonder why Eclipse reports this error?

Both the "generated" package and other required *.jar-Files are in the
Build-Path of the Eclipse-Project.

I tried to compile and run the Marshall.java per command-line => THAT
works!

So the code is definitely working...

In my view it must be a problem with my settings in Eclipse, but I don't
know which one exactly ;-(

Thanks for your help in advance,

Regards,
Andreas
 
Read Message
Read Message
Read Message
Previous Topic:How to change the font Eclipse uses for ITSELF
Next Topic:ant is not supplied in eclipse 3.1 it seems
Goto Forum:
  


Current Time: Sun Jun 24 13:19:31 GMT 2018

Powered by FUDForum. Page generated in 0.01462 seconds
.:: Contact :: Home ::.

Powered by: FUDforum 3.0.2.
Copyright ©2001-2010 FUDforum Bulletin Board Software

Back to the top